Bug 769922

Summary: Review Request: trac-navadd-plugin - Allows the addition of custom items
Product: [Fedora] Fedora Reporter: Andrea Veri <andrea.veri>
Component: Package ReviewAssignee: Kevin Fenzi <kevin>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: kevin, notting, package-review, peter
Target Milestone: ---Flags: kevin: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-28 12:53:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andrea Veri 2011-12-22 18:33:56 UTC
Spec URL: http://averi.fedorapeople.org/RPMs/trac-navadd-plugin/trac-navadd-plugin.spec
SRPM URL: http://averi.fedorapeople.org/RPMs/trac-navadd-plugin/trac-navadd-plugin-0.9-1.fc16.src.rpm
Description: A trac plugin that should allow you to add custom items ("buttons") 
to both the main and the meta navigation bar.

Comment 1 Kevin Fenzi 2011-12-23 20:53:42 UTC
I'll review this. Look for a full review in a bit.

Comment 2 Kevin Fenzi 2011-12-23 21:03:32 UTC
Before the full review, one issue: 

Could you change the versioning and Source ?

Trac plugins sadly don't have anything like stable releases, everything is checked out from svn. 
I'd suggest here: 

trac-navadd-plugin-0.9-0.1.20111223svn11020

and then in the spec something like: 

# Produce via 'svn export -r11020 http://trac-hacks.org/svn/navaddplugin/0.9 navaddplugin'
# tar -czvf navaddplugin-0.9.svn11020.tar.gz navaddplugin
Source0:        trac-navadd-plugin-0.9.svn11020.tar.gz

Comment 3 Andrea Veri 2011-12-23 21:11:08 UTC
sure, I'll update everything in a minute.

Comment 4 Andrea Veri 2011-12-23 21:57:59 UTC
Done. Everything has been pushed to:

http://averi.fedorapeople.org/RPMs/trac-navadd-plugin/

Comment 5 Kevin Fenzi 2011-12-24 21:49:37 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Not a blocker, but you might ask upstream to include a copy of the BSD
license with the package. 

2. rpmlint says: 
trac-navadd-plugin.noarch: W: no-documentation
trac-navadd-plugin.src: W: invalid-url Source0: trac-navadd-plugin-0.9.svn11020.tar.gz

Both can be ignored. 

I don't see any blockers here, so this package is APPROVED. 
I'm happy to co-maintain if you like.

Comment 6 Andrea Veri 2011-12-25 18:44:35 UTC
New Package SCM Request
=======================
Package Name: trac-navadd-plugin
Short Description: Trac's plugin that allows the addition of custom items 
Owners: averi kevin
Branches: f16 el6
InitialCC: averi kevin

Comment 7 Kevin Fenzi 2011-12-25 19:55:20 UTC
Git done (by process-git-requests).

Comment 8 Andrea Veri 2011-12-28 12:53:51 UTC
Built fine, closing ticket.

Comment 9 Fedora Update System 2011-12-28 18:40:18 UTC
trac-navadd-plugin-0.9.0.1-20111223svn11020.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-navadd-plugin-0.9.0.1-20111223svn11020.el6

Comment 10 Fedora Update System 2012-01-15 23:28:39 UTC
trac-navadd-plugin-0.9.0.1-20111223svn11020.el6 has been pushed to the Fedora EPEL 6 stable repository.